# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | List of all members
DBus::Callback_Base< R, P > Class Template Referenceabstract

`#include <util.h>`

Inheritance diagram for DBus::Callback_Base< R, P >:

## Public Member Functions

virtual R | call (P param) const =0
virtual | ~Callback_Base ()

## Detailed Description

template<class R, class P>
class DBus::Callback_Base< R, P >

Definition at line 214 of file util.h.

## Constructor & Destructor Documentation

## ◆ ~Callback_Base()

template<class R, class P>

virtual DBus::Callback_Base< R, P >::~Callback_Base | ( |  | ) |

inline virtual

Definition at line 220 of file util.h.

## Member Function Documentation

## ◆ call()

template<class R, class P>

virtual R DBus::Callback_Base< R, P >::call | ( | P | param | ) | const

pure virtual

Implemented in DBus::Callback< C, R, P >.

The documentation for this class was generated from the following file:

- util.h